Package org.eclipse.birt.chart.datafeed

# Interface IDataPointEntry

All Known Implementing Classes:
  `BubbleEntry`, `DifferenceEntry`, `NumberDataPointEntry`, `StockEntry`

public interface IDataPointEntry
The entry is a data point that is usually made up of several data. It is responsible for formatting the entry according to the formatter and locale.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`String`
`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`boolean`
`isValid()`
Returns if the DataPointEntry is valid.

## Method Details

### getFormattedString

String getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Returns the formatted string representation of current object by given formatter and locale.

Parameters:
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation

### getFormattedString

String getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Returns the formatted string representation of current object by given formatter and locale.

Parameters:
  `type` - data point type
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation
See Also:
  - invalid reference

        #getDataPointTypes()

### isValid

boolean isValid()
Returns if the DataPointEntry is valid.

Returns:
  value or not
Since:
  2.5.0